v7.3.0
SupportExamplesFree Trial

BryntumGantt events in React

Listening to events

The conventional React way is used to listen to Bryntum Gantt events. For example, if we want to listen to taskClick event we pass the listener function to onTaskClick property. The property name must be in camel case and is case sensitive.

const taskClickHandler = useCallback(({ selection }) => {
    console.log(selection); // actual logic comes here
});

// ...

return (
    <BryntumGantt
        onTaskClick={taskClickHandler}
        // other properties
    />
)

Preventable events

By returning false from a listener for an event documented as preventable the action that would otherwise be executed after the event is prevented. These events names are usually prefixed with before.

For example:

const App = props => {
    function onBeforeTaskEdit() {
        if (someCondition) {
            return false;
        }
    }

    return (
        <>
            <BryntumGantt
                onBeforeTaskEdit={onBeforeTaskEdit}
            />
        </>
    )
}

Using dataChange event to synchronize data

Bryntum Gantt keeps all data in its stores which are automatically synchronized with the UI and the user actions. Nevertheless, it is sometimes necessary for the rest of the application to be informed about data changes. For that it is easiest to use dataChange event.

const App = props => {
    const syncData = ({ store, action, records }) => {
        console.log(`${store.id} changed. The action was: ${action}. Changed records: `, records);
        // Your sync data logic comes here
    }

    return (
        <BryntumGantt
            ref={ganttRef}
            {...ganttConfig}
            onDataChange={syncData}
        />
    )
}

You can find details of all events that are fired by BryntumGantt in the API documentation.

Contents

v7.3.0
SupportExamplesFree Trial

Bryntum Gantt events in Vue

The Bryntum Gantt events are passed up to the Vue wrapper which makes it possible to listen to them the standard Vue way.

Listening to events

The following code demonstrates listening to the taskClick event:

Html:

<template>
    <div>
        <bryntum-gantt
            ref="gantt"
            @taskclick="onTaskClick"
        />
    </div>
</template>

<script>

import { BryntumGantt } from "@bryntum/gantt-vue";

export default {

    name: "Gantt App",

    components: { BryntumGantt },

    methods : {
        onTaskClick() {
            // Do something
        }
   }
}
</script>

Please note that we prefix the capitalized event name with the on keyword and that we pass $event as the argument to the listener.

Preventable events

By returning false from a listener for an event documented as preventable the action that would otherwise be executed after the event is prevented. These events names are usually prefixed with before.

For example:

<template>
    <div>
        <bryntum-gantt
            ref="gantt"
            @beforetaskedit="onBeforeTaskEdit"
        />
    </div>
</template>

<script>

import { BryntumGantt } from "@bryntum/gantt-vue";

export default {

    name: "Gantt App",

    components: { BryntumGantt },

    methods : {
        onBeforeTaskEdit() {
            if (someCondition) {
                return false;
            }
        }
   }
}
</script>

Contents